ENIGMA(6)

NAME
enigma - Puzzle game reminiscent of Oxyd

SYNOPSIS
enigma [options] [levelfile.xml] ...
enigma [--assert] [-d path] [--help] [-l lang] [--log] [--nograb] [--nomusic] [--nosound] [-p file] [--showfps] [--version] [-w] [levelfile.xml] ...

DESCRIPTION
The object of the game is to find and uncover pairs of identically colored Oxyd stones. Simple? Yes. Easy? Certainly not! Hidden traps, vast mazes, laser beams, and, most of all, countless hairy puzzles usually block your direct way to the Oxyd stones. Enigma's game objects (and there are hundreds of them, lest you get bored) interact in many unexpected ways, and since many of them follow the laws of physics (Enigma's special laws of physics, that is), controlling them with the mouse isn't always trivial ...

For more information, please refer to the manual or the project homepage: <http://www.nongnu.org/enigma/>!

OPTIONS

--assert
    Forces all debugging assertions, even expensive ones, to be evaluated.

-d path, --data=path
    Prepend another data directory to Enigma's search path.

-h, --help
    Display a list of available command line options and quit.

-l lang, --lang=lang
    Override the default language. The language is given in the common 2 character sequence as fr for French or ru for Russian.

--log
    This switch turns on logging of internal information to the standard output.

--nograb
    Do not use exclusive mouse/keyboard access.

--nomusic
    Start Enigma without background music. Sound effects will still be played.

--nosound
    Start Enigma without sound effects.

-p file, --pref=file
    Start Enigma with an alternative preferences file without the leading dot for hidden filenames.

--showfps
    Show the framerate (FPS) during the Game.

--version
    Print the Enigma version number and quit.

-w, --window
    Run Enigma in a window; do not switch to fullscreen mode.

USAGE
For the many in-game control keys take a look at the manual or press F1 to get online help in nearly all menus.

AUTHORS
Daniel Heck <dheck@gmx.de> is the main author and maintainer of Enigma. Enigma itself is based on Oxyd, created by Meinolf Schneider. This manual page was created by Joe Wreschnig <piman@sacredchao.net> and is currently maintained by Raoul Bourquin.

BUGS
Please report bugs to <enigma-devel@nongnu.org>.